extends YarnImporter

export var yarn_file = ""

func _ready():
	$ChoicesBox.hide()
	$LogPanel.hide()

func on_dialogue_start():
	yield(.on_dialogue_start(), "completed")
	$LogPanel.show()
	$ChoicesBox.show()
	$LogPanel.clear()
	$ChoicesBox.clear()

func on_new_line(line):
	yield($LogPanel.on_new_line(line), "completed")
	
func on_choices(choices_list):
	return yield($ChoicesBox.on_choices(choices_list), "completed")

func on_dialogue_end():
	yield(.on_dialogue_end(), "completed")
	$ChoicesBox.hide()
	$LogPanel.hide()
